<?php


namespace FiloBlu\EvaAttributes\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;

class InstallData implements InstallDataInterface
{

    /**
     * @var \Magento\Eav\Setup\EavSetupFactory
     */
    private $eavSetupFactory;

    /**
     * @var \FiloBlu\EvaAttributes\Helper\AttributeHelper
     */
    private $attributeHelper;

    /**
     * InstallData constructor.
     * @param \Magento\Eav\Setup\EavSetupFactory $eavSetupFactory
     * @param \FiloBlu\EvaAttributes\Helper\AttributeHelper $attributeHelper
     */
    public function __construct(
        \Magento\Eav\Setup\EavSetupFactory $eavSetupFactory,
        \FiloBlu\EvaAttributes\Helper\AttributeHelper $attributeHelper
    )
    {
        $this->eavSetupFactory = $eavSetupFactory;
        $this->attributeHelper = $attributeHelper;
    }

    /**
     * {@inheritdoc}
     */
    public function install(
        ModuleDataSetupInterface $setup,
        ModuleContextInterface $context
    ) {

        $eavSetup = $this->eavSetupFactory->create(['setup' => $setup]);

        $this->attributeHelper->installAttributes($eavSetup);

    }
}
